Subject: Re: [PATCH] [arch-x86] Allow SRAT integrity check to be skipped

From: Peter P Waskiewicz Jr <[email-masked]>
Date: Tue, 07 Sep 2010 13:16:55 -0700

On Tue, 2010-09-07 at 13:03 -0700, H. Peter Anvin wrote:
> On 09/07/2010 12:38 PM, Peter P Waskiewicz Jr wrote:
> > 
> > It's one SKU of a Nehalem-EX system.  The BIOS for that SKU has an issue
> > with resolving SRAT hotplug enumeration, and screws up the table.  Other
> > SKU's of this same platform do not have the issue.  Efforts are underway
> > to get this BIOS fixed, but in the meantime, there's nothing for users
> > to work around the bug (aside from disabling memory hotplug in the
> > BIOS).  Another platform almost shipped with the same symptoms, but
> > caught it and had it fixed before it shipped (didn't catch it early
> > because Windows wasn't failing, and most of the testing on that platform
> > was done under Windows).
> > 
> > I agree with Andi that adding DMI strings would be overkill and would
> > leave clutter once the BIOS is fixed.  I look at this patch as a
> > stop-gap measure for people to fall back on until a newer BIOS is
> > available to correct the NUMA enumeration issues.  Without it, we have
> > nothing to point users to when they run into this, waiting for a new
> > BIOS.
> > 
> 
> No, this is exactly the kind of stuff for which a DMI match is ideal.  A
> specific system with bounded propagation of the problem.  Thus, the DMI
> match acts as a whitelist -- "we know this system and it is safe to
> activate this hack on it."  This is a very good thing.
> 
> If this is a production BIOS it should have this information.

Responding for both your and Ingo's last email, I'll work on getting a
DMI match for this system.

Thanks,
-PJ